<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="titlepg">
		<xsl:call-template name="chap-pageset"/>
	</xsl:template>
	<xsl:template name="chap-pageset">
		<xsl:param name="docsecr">
			<xsl:variable name="docsecr2">
				<xsl:value-of select="$docsecr"/>
			</xsl:variable>
			<xsl:choose>
				<xsl:when test="parent::*[@security]">
					<xsl:if test="parent::*[@security='ts']">
						<xsl:text>TOP SECRET</xsl:text>
					</xsl:if>
					<xsl:if test="parent::*[@security='s']">
						<xsl:choose>
							<xsl:when test="parent::*/descendant::*[@security='ts']">
								<xsl:text>TOP SECRET</xsl:text>
							</xsl:when>
							<xsl:otherwise>
								<xsl:text>SECRET</xsl:text>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:if>
					<xsl:if test="parent::*[@security='c']">
						<xsl:choose>
							<xsl:when test="parent::*/descendant::*[@security='ts']">
								<xsl:text>TOP SECRET</xsl:text>
							</xsl:when>
							<xsl:when test="parent::*/descendant::*[@security='s']">
								<xsl:text>SECRET</xsl:text>
							</xsl:when>
							<xsl:otherwise>
								<xsl:text>CONFIDENTIAL</xsl:text>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:if>
					<xsl:if test="parent::*[@security='cui']">
						<xsl:choose>
							<xsl:when test="parent::*/descendant::*[@security='ts']">
								<xsl:text>TOP SECRET</xsl:text>
							</xsl:when>
							<xsl:when test="parent::*/descendant::*[@security='s']">
								<xsl:text>SECRET</xsl:text>
							</xsl:when>
							<xsl:when test="parent::*/descendant::*[@security='c']">
								<xsl:text>CONFIDENTIAL</xsl:text>
							</xsl:when>
							<xsl:otherwise>
								<xsl:text>CONTROLLED UNCLASSIFIED INFORMATION</xsl:text>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:if>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="$docsecr2"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:param>
		<xsl:param name="modulectr">
				<xsl:number count="titlepg" format="1" from="paper.manual" level="any"/>
		</xsl:param>
		<xsl:param name="modulectrpms">
			<xsl:number count="titlepg" format="1" from="pms|pmi" level="any"/>
		</xsl:param>
		<xsl:param name="modulectrsum">
			<xsl:number count="titlepg" format="1" from="sum" level="any"/>
		</xsl:param>
		<xsl:param name="modulectrsam">
			<xsl:number count="titlepg" format="1" from="sam" level="any"/>
		</xsl:param>
        <xsl:param name="modulectrammo_ds">
			<xsl:number count="titlepg" format="1" from="ammo_ds" level="any"/>
		</xsl:param>
		<xsl:param name="modulectrhr">
			<xsl:number count="titlepg" format="1" from="hr" level="any"/>
		</xsl:param>
        <xsl:param name="modulectrtech_bltn">
			<xsl:number count="titlepg" format="1" from="tech_bltn" level="any"/>
		</xsl:param>
		<xsl:param name="modulectrbdar">
			<xsl:number count="titlepg" format="1" from="bdar" level="any"/>
		</xsl:param>
		<xsl:param name="modulectrlube">
			<xsl:number count="titlepg" format="1" from="lubeorder" level="any"/>
		</xsl:param>
		<xsl:param name="modulectrammo">
			<xsl:number count="titlepg" format="1" from="ammo" level="any"/>
		</xsl:param>
		<xsl:param name="modulectrdmwr_ammo">
			<xsl:number count="titlepg" format="1" from="dmwr_ammo" level="any"/>
		</xsl:param>
		<xsl:param name="modulectrgenmaintman">
			<xsl:number count="titlepg" format="1" from="genmaintman" level="any"/>
		</xsl:param>
		<xsl:param name="modulectrsys-ts">
			<xsl:number count="titlepg" format="1" from="sys-ts" level="any"/>
		</xsl:param>
		<xsl:param name="titlelevel">
			<xsl:if test="ancestor::gim | ancestor::ammods_gim | ancestor::lo_gim | ancestor::opim | ancestor::mim | ancestor::lo_mim | ancestor::pim | ancestor::sim | ancestor::tim | ancestor::brim  | ancestor::baim | ancestor::dim | ancestor::sopim | ancestor::softdescdata">
				<xsl:choose>
					<xsl:when test="contains(@maintlvl, 'depot')">
						<xsl:text>DEPOT&#x2003;</xsl:text>
					</xsl:when>
					<xsl:when test="contains(@maintlvl, 'asb')">
						<xsl:text>AVIATION SUPPORT BATTALION&#x2003;</xsl:text>
					</xsl:when>
					<xsl:when test="contains(@maintlvl, 'amc')">
						<xsl:text>AVIATION MAINTENANCE COMPANY&#x2003;</xsl:text>
					</xsl:when>
					<xsl:when test="contains(@maintlvl, 'tasmg')">
						<xsl:text>THEATER AVIATION SUSTAINMENT MAINTENANCE GROUP&#x2003;</xsl:text>
					</xsl:when>
					<xsl:when test="contains(@maintlvl, 'crew')">
						<xsl:text>CREW&#x2003;</xsl:text>
					</xsl:when>
					<xsl:when test="contains(@maintlvl, 'operator')">
						<xsl:text>OPERATOR&#x2003;</xsl:text>
					</xsl:when>
					<xsl:when test="contains(@maintlvl, 'maintainer')">
						<xsl:text>MAINTAINER&#x2003;</xsl:text>
					</xsl:when>
					<xsl:when test="contains(@maintlvl, 'below_depot')">
						<xsl:text>BELOW DEPOT&#x2003;</xsl:text>
					</xsl:when>
					<xsl:when test="contains(@maintlvl, 'user')">
						<xsl:text>USER&#x2003;</xsl:text>
					</xsl:when>
					<xsl:when test="contains(@maintlvl, 'administrator')">
						<xsl:text>ADMINSTRATOR&#x2003;</xsl:text>
					</xsl:when>
				</xsl:choose>
			</xsl:if>
		</xsl:param>
		<xsl:param name="imtype">

		<!--<xsl:if test="ancestor::sum/gim">
				<xsl:text>GENERAL INFORMATION, SOFTWARE SUMMARY&#x2003;</xsl:text>
			</xsl:if>-->
			
			<xsl:if test="ancestor::gim | ancestor::ammods_gim">
<xsl:choose>
	<xsl:when test="ancestor::sum or ancestor::sam">GENERAL INFORMATION, SOFTWARE SUMMARY&#x2003;</xsl:when>
		<xsl:when test="ancestor::dmwr_ammo">GENERAL INFORMATION AND DMWR INTRODUCTION&#x2003;</xsl:when>
	<xsl:when test="ancestor::ammods_gim">GENERAL INFORMATION AND DATA SHEETS INTRODUCTION</xsl:when>

	<xsl:otherwise>GENERAL INFORMATION, EQUIPMENT DESCRIPTION AND THEORY OF OPERATION&#x2003;</xsl:otherwise>
</xsl:choose>			
			</xsl:if>
            <xsl:if test="ancestor::lo_gim">
                <xsl:text>LUBRICATION ORDER GENERAL INFORMATION</xsl:text>
            </xsl:if>
			<xsl:if test="ancestor::tb_gim">
				<xsl:text>TECHNICAL BULLETIN GENERAL INFORMATION</xsl:text>
			</xsl:if>
			<xsl:if test="ancestor::opim">
				<xsl:text>OPERATOR INSTRUCTIONS</xsl:text>
			</xsl:if>
			<xsl:if test="ancestor::tim">
				<xsl:text>TROUBLESHOOTING PROCEDURES</xsl:text>
			</xsl:if>
			<xsl:if test="ancestor::mim">
				<xsl:choose>
					<xsl:when test="name(following-sibling::*[1] )='ammunitioncategory'"> AMMUNITION MAINTENANCE</xsl:when>
					<xsl:when test="name(following-sibling::*[1] )='maintenancecategory'"> MAINTENANCE INSTRUCTIONS</xsl:when>
					<xsl:when test="name(following-sibling::*[1] )='pmcscategory'"> PREVENTIVE MAINTENANCE INSTRUCTIONS</xsl:when>
					<xsl:when test="name(following-sibling::*[1] )='ammomarkingcategory'"> AMMUNITION MARKING INSTRUCTIONS</xsl:when>
					<xsl:when test="name(following-sibling::*[1] )='aviationcategory'"> AVIATION MAINTENANCE INSTRUCTIONS</xsl:when>
					<xsl:when test="name(following-sibling::*[1] )='checklistcategory'"> PHASED MAINTENANCE INSTRUCTIONS	CHECKLIST</xsl:when>
					<xsl:when test="name(following-sibling::*[1] )='depotcategory'"> MAINTENANCE INSTRUCTIONS</xsl:when>
					<xsl:when test="name(following-sibling::*[1] )='shipmentmovementstoragecategory'"> SHIPMENT, MOVEMENT AND STORAGE INSTRUCTIONS</xsl:when>
					<xsl:when test="name(following-sibling::*[1] )='testinspectioncategory'"> TESTING AND INSPECTION INSTRUCTIONS</xsl:when>
					<xsl:when test="name(following-sibling::*[1] )='pmscategory'"> PREVENTIVE MAINTENANCE SERVICE	INSPECTIONS</xsl:when>
					<xsl:when test="name(following-sibling::*[1] )='softmaintcategory'"> SOFTWARE MAINTENANCE INSTRUCTIONS</xsl:when>
					<xsl:otherwise><xsl:text>MAINTENANCE INSTRUCTIONS</xsl:text></xsl:otherwise>
				</xsl:choose>
			</xsl:if>
            <xsl:if test="ancestor::lo_mim">
                <xsl:text>LUBRICATION ORDER MAINTENANCE INSTRUCTIONS</xsl:text>
            </xsl:if>
			<xsl:if test="ancestor::bim">
				<xsl:text>BATTLE DAMAGE INSTRUCTIONS</xsl:text>
			</xsl:if>
			<xsl:if test="ancestor::brim">		
				<xsl:text>BATTLE DAMAGE REPAIR INSTRUCTIONS</xsl:text>
			</xsl:if>			
			<xsl:if test="ancestor::baim">
				<xsl:text>BATTLE DAMAGE ASSESSMENT INSTRUCTIONS</xsl:text>
			</xsl:if>				
			<xsl:if test="ancestor::pim">
				<xsl:text>PARTS INFORMATION&#x2003;</xsl:text>
			</xsl:if>
			<xsl:if test="ancestor::ammods_mim">
				<xsl:text>ARMY AMMUNITION DATA SHEETS</xsl:text>
			</xsl:if>
			<xsl:if test="ancestor::tb_mim">
				<xsl:text>TECHNICAL BULLETIN MAINTENANCE INSTRUCTIONS</xsl:text>
			</xsl:if>
			<xsl:if test="ancestor::ammods_sim">
				<xsl:text>SUPPORTING INFORMATION</xsl:text>
			</xsl:if>
			<xsl:if test="ancestor::tb_sim">
				<xsl:text>SUPPORTING INFORMATION</xsl:text>
			</xsl:if>
			<xsl:if test="ancestor::hr_sim">
				<xsl:text>HAND RECEIPT</xsl:text>
			</xsl:if>
			
		<!--	<xsl:if test="ancestor::sum/sim">
				<xsl:text>SUPPORTING INFORMATION</xsl:text>
			</xsl:if>-->
			<!--<xsl:choose>
			
				<xsl:when test="ancestor::dmwr_ammo">DEPOT</xsl:when>-->
			
			<xsl:if test="ancestor::sim">
				<xsl:text>SUPPORTING INFORMATION</xsl:text>
			</xsl:if>
			<xsl:if test="ancestor::dim">
				<xsl:text>DESTRUCTION OF EQUIPMENT TO PREVENT ENEMY USE</xsl:text>
			</xsl:if>
			<xsl:if test="ancestor::sopim">
				<xsl:text>SOFTWARE OPERATOR INSTRUCTIONS</xsl:text>
			</xsl:if>
			<xsl:if test="ancestor::softdescdata">
				<xsl:text>SOFTWARE DESCRIPTION/DATA</xsl:text>
			</xsl:if>
			<xsl:if test="ancestor::soim">
				<xsl:text>SOFTWARE INFORMATION</xsl:text>
			</xsl:if>
		</xsl:param>
		
		<fo:page-sequence color="#000000" font-family="sans-serif" font-size="10pt" force-page-count="end-on-even" format="1" hyphenate="true" initial-page-number="1" language="en" line-height="1.15em" master-reference="impg" text-align="justify">
		
		<fo:static-content flow-name="impg-before"> 
				<fo:block xsl:use-attribute-sets="secur-header-attrs">
					<xsl:value-of select="$docsecr"/>
				</fo:block>
				<fo:block xsl:use-attribute-sets="tmno-header-attrs">
				<xsl:value-of select="(preceding::tmno)[1]"/>
				<xsl:choose><xsl:when test="//sum">
						<xsl:text>&#x02010;SUM</xsl:text>
					</xsl:when>
					<xsl:when test="//sam">
						<xsl:text>&#x02010;SAM</xsl:text>
					</xsl:when>
					<xsl:when test="//paper.manual/@rpstl='yes'">
						<xsl:text>&amp;P</xsl:text>
					</xsl:when>
					<xsl:when test="//paper.manual/@rpstl='only'">
						<xsl:text>P</xsl:text>
					</xsl:when>
					<xsl:otherwise/>
				</xsl:choose>
				<xsl:if test="/production/paper.manual/@multivolume='yes'">
					<xsl:variable name="volCounter1">
						<xsl:number count="volume" from="production" level="any"/>
					</xsl:variable>
					<xsl:variable name="thisVolume">
						<xsl:choose>
							<xsl:when test="$volCounter1 = ''">1</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="number($volCounter1 + 1)"/>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:variable>
					<xsl:text>-</xsl:text>
					<xsl:value-of select="$thisVolume"/>
				</xsl:if> <!-- This adds the volume number after the TM number -->
				</fo:block>
				<fo:block span="all">
					<fo:leader xsl:use-attribute-sets="header-leader-attrs"></fo:leader>
				</fo:block>
			</fo:static-content>
<!--space-before.maximum="60pt" space-before.minimum="50pt" space-before.optimum="55pt"space-before.conditionality="retain" -->

			<!--<fo:static-content flow-name="xsl-region-after">
				<fo:block xsl:use-attribute-sets="secur-footer-attrs">
					<xsl:value-of select="$docsecr"/>
				</fo:block>
			</fo:static-content>-->
			
			<fo:static-content flow-name="xsl-region-after">
		<fo:block font-family="sans-serif" font-size="10pt" space-before.maximum="16pt" space-before.minimum="14pt" space-before.optimum="14pt" span="all" text-align="center">
					<!--xsl:call-template name="FRNTREAR-FOOTER"> Do not output page numbers
					<xsl:with-param name="Odd-Or-Even">Odd</xsl:with-param>
				</xsl:call-template-->
	</fo:block>
			</fo:static-content>
			<fo:static-content flow-name="xsl-region-after-even">
		<fo:block font-family="sans-serif" font-size="10pt" space-before.maximum="16pt" space-before.minimum="14pt" space-before.optimum="14pt" span="all" text-align="center">
					<!--xsl:call-template name="FRNTREAR-FOOTER"> Do not output page numbers
					<xsl:with-param name="Odd-Or-Even">Even</xsl:with-param>
				</xsl:call-template-->
	</fo:block>
			</fo:static-content>
			
			<fo:flow flow-name="xsl-region-body">
				<fo:wrapper>
					<fo:block font-family="sans-serif" font-size="14pt" font-weight="bold" space-before.conditionality="retain" space-before.maximum="60pt" space-before.minimum="50pt" space-before.optimum="55pt" text-align="center">
					<xsl:choose>
						<xsl:when test="/production/paper.manual"> <!-- Updated space after and space before keeping it simple -->
							<fo:block space-after="14pt" space-before="14pt" span="all">
								<xsl:text>CHAPTER&#x2002;</xsl:text>
								<xsl:value-of select="$modulectr"/>
							</fo:block>
						</xsl:when>
						<xsl:when test="/production/pms | /production/pmi">
							<fo:block space-after="14pt" space-before="14pt" span="all">
								<xsl:text>CHAPTER&#x2002;</xsl:text>
								<xsl:value-of select="$modulectrpms"/>
							</fo:block>
						</xsl:when>
						<xsl:when test="/production/sum">
							<fo:block space-after.maximum="16pt" space-after.minimum="12pt" space-after.optimum="14pt" space-before.conditionality="retain" space-before.maximum="15pc" space-before.minimum="12pc" space-before.optimum="12pc" span="all">
								<xsl:text>CHAPTER&#x2003;</xsl:text>
								<xsl:value-of select="$modulectrsum"/>
							</fo:block>
						</xsl:when>
						<xsl:when test="/production/sam">
							<fo:block space-after.maximum="16pt" space-after.minimum="12pt" space-after.optimum="14pt" space-before.conditionality="retain" space-before.maximum="15pc" space-before.minimum="12pc" space-before.optimum="12pc" span="all">
								<xsl:text>CHAPTER&#x2003;</xsl:text>
								<xsl:value-of select="$modulectrsam"/>
							</fo:block>
						</xsl:when>
						<xsl:when test="/production/lubeorder">
							<fo:block space-after.maximum="16pt" space-after.minimum="12pt" space-after.optimum="14pt" space-before.conditionality="retain" space-before.maximum="15pc" space-before.minimum="12pc" space-before.optimum="12pc" span="all">
								<xsl:text>CHAPTER&#x2003;</xsl:text>
								<xsl:value-of select="$modulectrlube"/>
							</fo:block>
						</xsl:when>
                        <xsl:when test="/production/hr">
                            <fo:block space-after.maximum="16pt" space-after.minimum="12pt" space-after.optimum="14pt" space-before.conditionality="retain" space-before.maximum="15pc" space-before.minimum="12pc" space-before.optimum="12pc" span="all">
                                <xsl:text>CHAPTER&#x2003;</xsl:text>
                                <xsl:value-of select="$modulectrhr"/>
                            </fo:block>
                        </xsl:when>
                        <xsl:when test="/production/ammo_ds">
								<fo:block space-after.maximum="16pt" space-after.minimum="12pt" space-after.optimum="14pt" space-before.conditionality="retain" space-before.maximum="15pc" space-before.minimum="12pc" space-before.optimum="12pc" span="all">
									<xsl:text>CHAPTER&#x2003;</xsl:text>
									<xsl:value-of select="$modulectrammo_ds"/>
								</fo:block>
						</xsl:when>
                        <xsl:when test="/production/tech_bltn">
							<fo:block space-after.maximum="16pt" space-after.minimum="12pt" space-after.optimum="14pt" space-before.conditionality="retain" space-before.maximum="15pc" space-before.minimum="12pc" space-before.optimum="12pc" span="all">
								<xsl:text>CHAPTER&#x2003;</xsl:text>
								<xsl:value-of select="$modulectrtech_bltn"/>
							</fo:block>
						</xsl:when>
                        <xsl:when test="/production/dmwr_ammo">
							<fo:block space-after.maximum="16pt" space-after.minimum="12pt" space-after.optimum="14pt" space-before.conditionality="retain" space-before.maximum="15pc" space-before.minimum="12pc" space-before.optimum="12pc" span="all">
								<xsl:text>CHAPTER&#x2003;</xsl:text>
								<xsl:value-of select="$modulectrdmwr_ammo"/>
							</fo:block>
						</xsl:when>
						<xsl:when test="/production/ammo">
							<fo:block space-after.maximum="16pt" space-after.minimum="12pt" space-after.optimum="14pt" space-before.conditionality="retain" space-before.maximum="15pc" space-before.minimum="12pc" space-before.optimum="12pc" span="all">
								<xsl:text>CHAPTER&#x2003;</xsl:text>
								<xsl:value-of select="$modulectrammo"/>
							</fo:block>
						</xsl:when>
						<xsl:when test="/production/genmaintman">
							<fo:block space-after.maximum="16pt" space-after.minimum="12pt" space-after.optimum="14pt" space-before.conditionality="retain" space-before.maximum="15pc" space-before.minimum="12pc" space-before.optimum="12pc" span="all">
								<xsl:text>CHAPTER&#x2003;</xsl:text>
								<xsl:value-of select="$modulectrgenmaintman"/>
							</fo:block>
						</xsl:when>
						<xsl:when test="/production/sys-ts">
							<fo:block space-after.maximum="16pt" space-after.minimum="12pt" space-after.optimum="14pt" space-before.conditionality="retain" space-before.maximum="15pc" space-before.minimum="12pc" space-before.optimum="12pc" span="all">
								<xsl:text>CHAPTER&#x2003;</xsl:text>
								<xsl:value-of select="$modulectrsys-ts"/>
							</fo:block>
						</xsl:when>
						<xsl:otherwise>
							<fo:block space-after.maximum="16pt" space-after.minimum="12pt" space-after.optimum="14pt" space-before.conditionality="retain" space-before.maximum="15pc" space-before.minimum="12pc" space-before.optimum="12pc" span="all">
								<xsl:text>CHAPTER&#x2003;</xsl:text>
								<xsl:value-of select="$modulectrbdar"/>
							</fo:block>
						</xsl:otherwise>
</xsl:choose>
						<fo:block span="all" space-after="6pt">
							<xsl:value-of select="$titlelevel"/>
						</fo:block>
						<fo:block space-after.maximum="16pt" space-after.minimum="12pt" space-after.optimum="14pt" span="all">
							<xsl:value-of select="$imtype"/>
					</fo:block>
					<fo:block space-after.maximum="16pt" space-after.minimum="12pt" space-after.optimum="14pt" span="all">FOR</fo:block>
					<fo:block font-family="sans-serif" font-size="14pt" span="all" font-weight="bold">
						<xsl:apply-templates select="name" mode="CHAP-TITL"/>
					</fo:block>
					</fo:block>
				</fo:wrapper>
				<!-- space-after.maximum="14pt" space-after.minimum="12pt" space-after.optimum="12pt" 
space-after.maximum="16pt" space-after.minimum="12pt" space-after.optimum="14pt" space-before.conditionality="retain" space-before.maximum="15pc" space-before.minimum="12pc" space-before.optimum="12pc"-->
			<xsl:if test="parent::mim[@chap-toc='yes'] | parent::lo_mim[@chap-toc='yes'] | parent::gim[@chap-toc='yes'] | parent::lo_gim[@chap-toc='yes'] | parent::opim[@chap-toc='yes'] |  parent::sopim[@chap-toc='yes'] | parent::softdescdata[@chap-toc='yes'] | parent::tim[@chap-toc='yes'] | parent::sim[@chap-toc='yes'] | parent::pim[@chap-toc='yes'] | parent::dim[@chap-toc='yes'] | parent::brim[@chap-toc='yes'] | parent::baim[@chap-toc='yes'] | parent::ammods_gim[@chap-toc='yes']">
					<fo:wrapper font-family="sans-serif" font-size="12pt" font-weight="bold" page-break-before="left" text-align="center">
					<fo:block page-break-before="left" space-before="12pt" space-after="12pt" span="all">
							<xsl:choose>
						<xsl:when test="/production/paper.manual">
							<fo:block space-before="12pc" span="all">
								<xsl:text>CHAPTER&#x2003;</xsl:text>
								<xsl:value-of select="$modulectr"/>
							</fo:block>
						</xsl:when>
						<xsl:when test="/production/pms">
							<fo:block space-before="12pc" span="all">
								<xsl:text>CHAPTER&#x2003;</xsl:text>
								<xsl:value-of select="$modulectrpms"/>
							</fo:block>
						</xsl:when>
						<xsl:when test="/production/sum">
							<fo:block space-before="12pc" span="all">
								<xsl:text>CHAPTER&#x2003;</xsl:text>
								<xsl:value-of select="$modulectrsum"/>
							</fo:block>
						</xsl:when>
						<xsl:when test="/production/sam">
							<fo:block span="all">
								<xsl:text>CHAPTER&#x2003;</xsl:text>
								<xsl:value-of select="$modulectrsam"/>
							</fo:block>
						</xsl:when>
						</xsl:choose>

						</fo:block>
						<fo:block span="all">
							<xsl:value-of select="$titlelevel"/>
						</fo:block>
						<fo:block space-after="14pt" span="all">
							<xsl:value-of select="$imtype"/>
						</fo:block>
						<fo:block border-bottom-style="solid" border-bottom-width="1pt" border-left-style="hidden" border-right-style="hidden" border-top-style="solid" border-top-width="1pt" padding-bottom="3pt" padding-top="3pt" space-after="14pt" span="all" text-align="left">
							<xsl:text>WORK PACKAGE INDEX</xsl:text>
						</fo:block>
					</fo:wrapper>
					<xsl:call-template name="ChapTOC"/>
				</xsl:if>
			</fo:flow>
		</fo:page-sequence>
	</xsl:template>
	
	<!-- Added template matches for name, modleno, partno and nsn elements with a CHAP-TITL mode to allow proper output of all elements in the <titlepg> content model. RBG October 2022 -->
	
	<xsl:template match="name" mode="CHAP-TITL">
		<fo:block span="all" text-align="center">
			<!-- Making change bar attribute active on name RBG Aug 2020 -->
			<xsl:choose>
				<xsl:when test="self::*/@inschlvl !='0'">
					<fo:change-bar-begin change-bar-class="{generate-id(.)}" change-bar-placement="end" change-bar-width="2pt" change-bar-style="solid" change-bar-color="black"/>
					
					<xsl:apply-templates select="."/>
					<fo:change-bar-end change-bar-class="{generate-id(.)}"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:apply-templates select="."/>
				</xsl:otherwise>
			</xsl:choose>
			<xsl:if test="local-name(following-sibling::node()[1])='modelno'">
				<xsl:apply-templates select="following-sibling::node()[1]" mode="CHAP-TITL"/>
			</xsl:if>
			<xsl:if test="local-name(following-sibling::node()[1])='partno'">
				<xsl:apply-templates select="following-sibling::node()[1]" mode="CHAP-TITL"/>
			</xsl:if>
			<xsl:if test="local-name(following-sibling::node()[1])='nsn'">
				<xsl:apply-templates select="following-sibling::node()[1]" mode="CHAP-TITL"/>
			</xsl:if>
		</fo:block>
	</xsl:template>
	
	<xsl:template match="modelno" mode="CHAP-TITL">
		<!-- entering here -->
		<fo:block span="all" text-align="center">
			<xsl:apply-templates/>
		<fo:inline>
			<xsl:text>&#x2002;</xsl:text>
			<xsl:if test="local-name(following-sibling::node()[1])!='modelno' ">
				<xsl:apply-templates mode="CHAP-TITL" select="following-sibling::node()[1]"/>
			</xsl:if>
		<!--</fo:block>-->
		<xsl:choose>
			<xsl:when test="local-name(following-sibling::node()[1])='modelno' ">
				<xsl:apply-templates mode="CHAP-TITL" select="following-sibling::node()[1]"/>
			</xsl:when>
	<xsl:when test="local-name(following-sibling::node()[1])='partno' and contains('modelno|partno',local-name(following-sibling::node()[2]))">
				<xsl:apply-templates mode="CHAP-TITL" select="following-sibling::node()[2]"/>
			</xsl:when>
	<xsl:when test="local-name(following-sibling::node()[1])='nsn' and contains('nsn|modelno|partno',local-name(following-sibling::node()[2]))">
				<xsl:apply-templates mode="CHAP-TITL" select="following-sibling::node()[2]"/>
			</xsl:when>
	<xsl:when test="local-name(following-sibling::node()[1])='partno' and local-name(following-sibling::node()[2])='nsn' and contains('nsn|modelno|partno',local-name(following-sibling::node()[3]))">
				<xsl:apply-templates mode="CHAP-TITL" select="following-sibling::node()[3]"> </xsl:apply-templates>
			</xsl:when>
		</xsl:choose>
		</fo:inline> </fo:block>
	</xsl:template>
	
	<xsl:template match="partno" mode="CHAP-TITL">
		<xsl:choose>
			<xsl:when test="local-name(preceding-sibling::node()[1])='modelno' or local-name(preceding-sibling::node()[1])='' ">
				<fo:inline>
				<xsl:text>&#x2002;</xsl:text>
					P/N&#x2002;<xsl:apply-templates select="node()"/>
				</fo:inline>
				<!--Only NSN can follow part #, if exist-->
				<xsl:if test="contains('nsn',local-name(following-sibling::node()[1]))">
					<xsl:apply-templates mode="CHAP-TITL" select="following-sibling::node()[1]"/>
				</xsl:if>
			</xsl:when>
			<xsl:otherwise>
				<fo:block span="all" text-align="center">
					<fo:inline keep-with-previous.within-line="always">
					<xsl:text>&#x2002;</xsl:text>
					P/N&#x2002;<xsl:apply-templates select="node()"/>
					</fo:inline>
					<!-- Only NSN can follow part #, if exist -->
					<xsl:if test="contains('nsn',local-name(following-sibling::node()[1]))">
						<xsl:apply-templates mode="CHAP-TITL" select="following-sibling::node()[1]"/>
					</xsl:if>
				</fo:block>
				<xsl:choose>
					<xsl:when test="contains('modelno|partno',local-name(following-sibling::node()[1]))">
						<xsl:apply-templates mode="CHAP-TITL" select="following-sibling::node()[1]"/>
					</xsl:when>
					<xsl:when test="local-name(following-sibling::node()[1])='nsn' and contains('nsn|modelno|partno',local-name(following-sibling::node()[2]))">
						<xsl:apply-templates mode="CHAP-TITL" select="following-sibling::node()[2]"/>
					</xsl:when>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<xsl:template match="nsn" mode="CHAP-TITL">
		<xsl:for-each select="nsn">
			<xsl:apply-templates select="."/>
			<!-- <xsl:apply-templates select="following-sibling::node()[1]"/> -->
		</xsl:for-each>
		<!--Part # is end of group of NSN and/or model #-->
		<xsl:choose>
			<xsl:when test="local-name(following-sibling::node()[1])='nsn' ">
				<!--<fo:block>-->
					<xsl:text disable-output-escaping="no">&#x2002;</xsl:text>
					<fo:inline keep-with-previous.within-line="always">(NSN&#x2002;<xsl:call-template name="NSN-VALUE">
							<xsl:with-param name="Fsc">
								<xsl:value-of select="fsc"/>
							</xsl:with-param>
							<xsl:with-param name="Niin">
								<xsl:value-of select="niin"/>
							</xsl:with-param>
						</xsl:call-template>
						<xsl:text>)</xsl:text>
					<xsl:apply-templates mode="CHAP-TITL" select="following-sibling::node()[2]"/></fo:inline>
				<!--</fo:block>-->
			</xsl:when>
			<xsl:when test="contains('modelno|partno',local-name(preceding-sibling::node()[1]))">
			<!--	<fo:block>-->
					<xsl:text disable-output-escaping="no">&#x2002;</xsl:text>
					<fo:inline keep-with-previous.within-line="always">(NSN&#x2002;<xsl:call-template name="NSN-VALUE">
							<xsl:with-param name="Fsc">
								<xsl:value-of select="fsc"/>
							</xsl:with-param>
							<xsl:with-param name="Niin">
								<xsl:value-of select="niin"/>
							</xsl:with-param>
						</xsl:call-template>
						<xsl:text>)</xsl:text>
					</fo:inline>
					<!--Only EIC can follow NSN, if exist-->
					<xsl:if test="contains('nsn',local-name(following-sibling::node()[1]))">
						<xsl:apply-templates mode="CHAP-TITL" select="following-sibling::node()[1]"/>
					</xsl:if>
			<!--	</fo:block>-->
			</xsl:when>
			<!--Only NSN is sysnomen group keep-with-previous.within-line="always"-->
			<xsl:otherwise>
				<fo:block keep-with-previous="always" span="all" text-align="center">
					<fo:inline>(NSN&#x2002;<xsl:call-template name="NSN-VALUE">
							<xsl:with-param name="Fsc">
								<xsl:value-of select="fsc"/>
							</xsl:with-param>
							<xsl:with-param name="Niin">
								<xsl:value-of select="niin"/>
							</xsl:with-param>
						</xsl:call-template>
						<xsl:text>)</xsl:text>
					</fo:inline>
				</fo:block>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<xsl:template name="ChapTOC">
		<fo:block font-family="sans-serif" font-size="10pt" span="all">
				<fo:table>
					<fo:table-column column-number="1" column-width="90%"/>
					<fo:table-column column-number="2" column-width="10%"/>
					<fo:table-header>
						<fo:table-row>
							<fo:table-cell border-after-style="solid" border-after-width="1pt" number-columns-spanned="2" padding-bottom="3pt" padding-top="6pt" text-align="right">
								<fo:block>
									<fo:inline font-weight="bold">Title</fo:inline>
									<fo:leader leader-pattern="space"/>
									<fo:inline font-weight="bold">WP Sequence No.</fo:inline>
								</fo:block>
							</fo:table-cell>
						</fo:table-row>
					</fo:table-header>
					
					<fo:table-body>
						<xsl:for-each select="parent::node()/descendant::wpidinfo">
							<fo:table-row>
								<fo:table-cell column-number="1" padding-top="6pt">
									<fo:block span="all" start-indent="2pc" text-align="left" text-indent="0pc" text-transform="uppercase">
													<xsl:apply-templates mode="TOC" select="child::title"/>
									<xsl:choose>
													<xsl:when test="ancestor-or-self::*/@deletewp='yes'"> (DELETED)</xsl:when> 
												<xsl:otherwise>
													</xsl:otherwise>
													</xsl:choose>
								<xsl:if test="$AutoGenTitle='FALSE'" >
								
									<xsl:choose>
										<xsl:when test="string(wpidinfo/title)" />
										</xsl:choose>
										</xsl:if>
										<fo:leader leader-pattern="dots" />
									</fo:block>
								</fo:table-cell>
								<fo:table-cell padding-top="6pt">
									<fo:block span="all" text-align="right">
										<fo:leader leader-pattern="dots" />
							<xsl:choose>
								<xsl:when test="../@wpseq">
									<xsl:value-of select="../@wpseq"/>
								</xsl:when>
								<xsl:otherwise>
     								<xsl:variable name="majorNo" select="count(preceding::*[wpidinfo and not(@insertwp)])"/>
										<xsl:choose>
      								<xsl:when test="../@insertwp">
        								<xsl:variable name="minorNo" select="count(preceding::*[wpidinfo and @insertwp and count(preceding::*[wpidinfo and not(@insertwp)]) = $majorNo]) + 1"/>
												<xsl:number format="0000" value="number($majorNo)"/>
        								<xsl:text>.</xsl:text>
        								<xsl:value-of select="$minorNo"/>
      								</xsl:when>
      								<xsl:otherwise>
												<xsl:number format="0000" value="number($majorNo + 1)"/>
      								</xsl:otherwise>
    								</xsl:choose>
								</xsl:otherwise>
							</xsl:choose>
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
						</xsl:for-each>
					</fo:table-body>
				</fo:table>
		</fo:block>
	</xsl:template>
</xsl:stylesheet>
