<?xml version="1.0" encoding="utf-8"?>

<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="RESTRICT">
		<fo:block xmlns:fo="http://www.w3.org/1999/XSL/Format" xsl:use-attribute-sets="notice-attrs">
			<xsl:text>This publication is not available through the APD Distribution Center. This publication is available through </xsl:text>
			<xsl:value-of select="@command_information"/>
			<xsl:text>.</xsl:text>
		</fo:block>
	</xsl:template>
	<xsl:template match="a.statement">
		<fo:block space-before.conditionality="discard" space-before.maximum="8pt" space-before.minimum="6pt" space-before.optimum="7pt" span="all" text-align="left">
			<fo:inline font-weight="bold" text-decoration="underline">DISTRIBUTION STATEMENT A</fo:inline>
			<xsl:text>&#x2002;&#x2013;&#x2002;Approved for public release: distribution unlimited.</xsl:text>
		</fo:block>
	</xsl:template>
	<!-- As seen in Notices  -->
	<xsl:template match="avail/title">
	</xsl:template>
	<xsl:template match="avail">
		<xsl:variable name="avail-title">
			<xsl:choose>
				<xsl:when test=" name( descendant::title) ">
					<xsl:value-of select="title"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:text>Availability notice</xsl:text>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<fo:block xsl:use-attribute-sets="notice-attrs">
			<fo:inline font-weight="bold" text-decoration="underline" text-transform="uppercase">
				<xsl:value-of select="$avail-title"/>
			</fo:inline>
			<xsl:text>&#x2002;&#x2013;&#x2002;</xsl:text>
			<xsl:apply-templates/>
		</fo:block>
	</xsl:template>
	<xsl:template match="b.statement">
		<fo:block xsl:use-attribute-sets="notice-attrs">
			<fo:inline font-weight="bold" text-decoration="underline">DISTRIBUTION STATEMENT B</fo:inline>
			<xsl:text>&#x2002;&#x2013;&#x2002;Distribution authorized to U.S. Government Agencies only</xsl:text>
			<xsl:if test="cti | cntrctperform | crittech | exportctrl | frgngvt | intlagreemnt | opsec | patinvention | proprietary | sbir | testeval | softwaredoc |  vulninfo">
				<xsl:apply-templates select="cti | cntrctperform | crittech | exportctrl | frgngvt | intlagreemnt | opsec | patinvention | proprietary | sbir | testeval | softwaredoc | vulninfo"/>
				<xsl:apply-templates select="reasondate"/>
				<xsl:text>. Other requests for this document must be referred to </xsl:text>
				<xsl:apply-templates select="releaseagent"/>
				<xsl:text>.</xsl:text>
			</xsl:if>
			<xsl:if test="following-sibling::rel.to.statement">
				<fo:inline> REL TO </fo:inline>
				<fo:inline>
					<xsl:value-of select="//frntcover//rel.to.statement/rel.to.data"/>
					<xsl:text>.</xsl:text>
				</fo:inline>
			</xsl:if>
		</fo:block>
	</xsl:template>
	<xsl:template match="c.statement">
		<fo:block xsl:use-attribute-sets="notice-attrs">
			<fo:inline font-weight="bold" text-decoration="underline">DISTRIBUTION STATEMENT C</fo:inline>
			<xsl:text>&#x2002;&#x2013;&#x2002;Distribution authorized to U.S. Government Agencies and their contractors </xsl:text>
			<xsl:if test="cti | crittech | exportctrl |frgngvt | intlagreemnt | softwaredoc | vulninfo">
				<xsl:apply-templates select="cti | crittech | exportctrl |frgngvt | intlagreemnt | softwaredoc | vulninfo"/>
				<xsl:apply-templates select="reasondate"/>
				<xsl:text>. Other requests for this document must be referred to </xsl:text>
				<xsl:apply-templates select="releaseagent"/>
				<xsl:text>.</xsl:text>
			</xsl:if>
			<xsl:if test="following-sibling::rel.to.statement">
				<fo:inline> REL TO </fo:inline>
				<fo:inline>
					<xsl:value-of select="//frntcover//rel.to.statement/rel.to.data"/>
					<xsl:text>.</xsl:text>
				</fo:inline>
			</xsl:if>
		</fo:block>
	</xsl:template>
	<xsl:template match="d.statement">
		<fo:block xsl:use-attribute-sets="notice-attrs">
			<fo:inline font-weight="bold" text-decoration="underline">DISTRIBUTION STATEMENT D</fo:inline>
			<xsl:text>&#x2002;&#x2013;&#x2002;Distribution authorized to the Department of Defense and U.S. DoD contractors only</xsl:text>
			<xsl:if test="cti | crittech | exportctrl | frgngvt | intlagreemnt | softwaredoc | vulninfo">
				<xsl:apply-templates select="cti | crittech | exportctrl | frgngvt | intlagreemnt | softwaredoc | vulninfo"/>
				<xsl:apply-templates select="reasondate"/>
				<xsl:text>. Other requests for this document must be referred to </xsl:text>
				<xsl:apply-templates select="releaseagent"/>
				<xsl:text>.</xsl:text>
			</xsl:if>
			<xsl:if test="following-sibling::rel.to.statement">
				<fo:inline> REL TO </fo:inline>
				<fo:inline>
					<xsl:value-of select="//frntcover//rel.to.statement/rel.to.data"/>
					<xsl:text>.</xsl:text>
				</fo:inline>
			</xsl:if>
		</fo:block>
	</xsl:template>
<xsl:template match="e.statement">
		<fo:block xsl:use-attribute-sets="notice-attrs">
			<fo:inline font-weight="bold" text-decoration="underline">DISTRIBUTION STATEMENT E</fo:inline>
			<xsl:text>&#x2002;&#x2013;&#x2002;Distribution authorized to DoD Components only</xsl:text>
			<xsl:if test="milsprt | cti | cntrctperform |  crittech | exportctrl | frgngvt | intlagreemnt | opsec | patinvention | proprietary | sbir | softwaredoc | testeval | vulninfo">
				<xsl:apply-templates select="milsprt | cti | cntrctperform |  crittech | exportctrl | frgngvt | intlagreemnt | opsec | patinvention | proprietary | sbir | softwaredoc | testeval | vulninfo"/>
				<xsl:apply-templates select="reasondate"/>
				<xsl:text>. Other requests for this document must be referred to </xsl:text>
				<xsl:apply-templates select="releaseagent"/>
				<xsl:text>.</xsl:text>
			</xsl:if>
			<xsl:if test="following-sibling::rel.to.statement">
				<fo:inline> REL TO </fo:inline>
				<fo:inline>
					<xsl:value-of select="//frntcover//rel.to.statement/rel.to.data"/>
					<xsl:text>.</xsl:text>
				</fo:inline>
			</xsl:if>
		</fo:block>
	</xsl:template>
	<xsl:template match="f.statement">
		<fo:block xsl:use-attribute-sets="notice-attrs">
			<xsl:choose>
				<xsl:when test="string-length(title[1])=0">
					<fo:inline font-weight="bold" text-decoration="underline">DISTRIBUTION STATEMENT F</fo:inline>
				</xsl:when>
				<xsl:otherwise>
					<fo:inline font-weight="bold" text-decoration="underline">
						<xsl:value-of select="title"/>
					</fo:inline>
					<xsl:text>&#x2002;&#x2013;&#x2002;</xsl:text>
				</xsl:otherwise>
			</xsl:choose>
			<xsl:choose>
				<xsl:when test="string-length(text)&gt;0">
				<xsl:text>&#x2002;&#x2013;&#x2002;</xsl:text>
					<xsl:value-of select="text"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:text>&#x2002;&#x2013;&#x2002;Further dissemination only as directed by </xsl:text>
				</xsl:otherwise>
			</xsl:choose>
			<xsl:apply-templates select="releaseagent"/>
			<xsl:text>,</xsl:text>
			<xsl:apply-templates select="reasondate"/>
			<xsl:text>, or higher DoD authority.</xsl:text>
			<xsl:if test="following-sibling::rel.to.statement">
				<fo:inline> REL TO </fo:inline>
				<fo:inline>
					<xsl:value-of select="//frntcover//rel.to.statement/rel.to.data"/>
					<xsl:text>.</xsl:text>
				</fo:inline>
			</xsl:if>
		</fo:block>
	</xsl:template>
	
	<!-- The following has been removed per DoDI 532024 Jan 2023. RBG 03.28.2023-->
	<!--<xsl:template match="x.statement">
		<fo:block xsl:use-attribute-sets="notice-attrs">
			<fo:inline font-weight="bold" text-decoration="underline">DISTRIBUTION STATEMENT X</fo:inline>
			<xsl:text>&#x2002;&#x2013;&#x2002;Distribution authorized to U.S. Government Agencies and private individuals or enterprises eligible to obtain export-controlled technical data in accordance with DoD Directive 5230.25. Controlling DoD office is </xsl:text>
			<xsl:apply-templates select="releaseagent"/>
			<xsl:text>.</xsl:text>
		</fo:block>
	</xsl:template>-->
	<xsl:template match="rel.to.statement"/>
	<xsl:template match="cti">
		<xsl:text>; Controlled Technical Information</xsl:text>
	</xsl:template>
	<xsl:template match="frgngvt">
		<xsl:text>; Foreign Government Information</xsl:text>
	</xsl:template>
	<xsl:template match="softwaredoc">
		<xsl:text>; Software Documentation</xsl:text>
	</xsl:template>
	<xsl:template match="crittech">
		<xsl:text>; Critical Technology</xsl:text>
	</xsl:template>
	<xsl:template match="intlagreemnt">
		<xsl:text>; International Agreements</xsl:text>
	</xsl:template>
	<!-- Commenting out following template matches per DoDI 5230.24 Jan. 2023. RBG 03.28.2023 -->
	<!--<xsl:template match="adminops">
		<xsl:text>; Administrative or Operational Use</xsl:text>
	</xsl:template>-->
	<!--<xsl:template match="specauth">
			<xsl:text>; Specific Authority: </xsl:text>
			<xsl:value-of select="."/>
	</xsl:template>-->
	<xsl:template match="patinvention">
		<xsl:text>; Patents and Inventions</xsl:text>
	</xsl:template>
	<xsl:template match="proprietary">
		<xsl:text>; Proprietary Business Information</xsl:text>
	</xsl:template>
	<xsl:template match="sbir">
		<xsl:text>; Small Business Innovation Research</xsl:text>
	</xsl:template>
	<xsl:template match="testeval">
		<xsl:text>; Test and Evaluation</xsl:text>
	</xsl:template>
	<xsl:template match="vulninfo">
		<xsl:text>; Vulnerability Information</xsl:text>
	</xsl:template>
	<xsl:template match="exportctrl">
		<xsl:text>; Export Controlled</xsl:text>
	</xsl:template>
	<xsl:template match="opsec">
		<xsl:text>; Operations Security</xsl:text>
	</xsl:template>
	<xsl:template match="cntrctperform">
		<xsl:text>; Contractor Performance Evaluation</xsl:text>
	</xsl:template>
	<!-- Commenting out following template match per DoDI 5230.24 Jan. 2023. RBG 03.28.2023 -->
	<!--<xsl:template match="premature">
		<xsl:text>; Premature Dissemination</xsl:text>
	</xsl:template>-->
	<xsl:template match="milsprt">
		<xsl:text>; Direct Military Support</xsl:text>
	</xsl:template>

	<xsl:template match="reasondate">
		<xsl:text>; </xsl:text>
		<xsl:value-of select="node()"/>
	</xsl:template>
	<xsl:template match="releaseagent">
		<xsl:value-of select="node()"/>
	</xsl:template>
	<xsl:template match="destr">
		<xsl:variable name="Content">
			<xsl:value-of select="para"/>
		</xsl:variable>
		<xsl:variable name="Destrtext">
			<xsl:choose>
				<xsl:when test="string-length($Content)=0">For classified documents, follow the procedures in DOD 5220.22-M, National
Industrial Security Program Operating Manual and/or DODM 5200.01, Information Security
Program. For unclassified, limited documents, destroy by any method that will prevent
disclosure of contents or reconstruction of the document.</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="para"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<fo:block xsl:use-attribute-sets="notice-attrs">
			<fo:inline font-weight="bold" text-decoration="underline">DESTRUCTION NOTICE</fo:inline>
			<xsl:text>&#x2002;&#x2013;&#x2002;</xsl:text>
			<xsl:value-of select="$Destrtext"/>
		</fo:block>
	</xsl:template>
	<xsl:template match="dist">
		<xsl:apply-templates/>
	</xsl:template>
	<xsl:template match="export">
		<xsl:variable name="Exporttext">
			<xsl:text>This document contains technical data whose export is restricted by the Arms Export Control Act (Section 2751 of Title 22, United States Code) of the Export Control Reform Act of 2018 (Chapter 58 Sections 4801-4852 of Title 50, United States Code). Violations of these export laws are subject to severe criminal penalties. Disseminate in accordance with provisions of DoD Directive 5230.25 and DoD Instruction 2040.02.</xsl:text>
		</xsl:variable>
		<fo:block xsl:use-attribute-sets="notice-attrs">
			<fo:inline font-weight="bold" text-decoration="underline">WARNING</fo:inline>
			<xsl:text>&#x2002;&#x2013;&#x2002;</xsl:text>
			<xsl:value-of select="$Exporttext"/>
		</fo:block>
	</xsl:template>
	<xsl:template match="super">
		<xsl:variable name="super-title">
			<xsl:choose>
				<xsl:when test=" name( descendant::title) ">
					<xsl:value-of select="title"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:text>supersedure notice</xsl:text>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<fo:block xsl:use-attribute-sets="notice-attrs">
			<fo:inline font-weight="bold" text-decoration="underline" text-transform="uppercase">
				<xsl:value-of select="$super-title"/>
			</fo:inline>
			<xsl:text>&#x2002;&#x2013;&#x2002;</xsl:text>
			<xsl:apply-templates/>
		</fo:block>
	</xsl:template>
	<xsl:template match="super/title">
	</xsl:template>
	<xsl:template match="super/para">
		<xsl:apply-templates/>
	</xsl:template>
	<xsl:template match="reprod">
		<fo:block>
			<fo:inline font-weight="bold" text-decoration="underline">NOTICE</fo:inline>
			<xsl:text>&#x2002;&#x2013;&#x2002;</xsl:text>
		</fo:block>
		<xsl:apply-templates> </xsl:apply-templates>
	</xsl:template>
	<xsl:template match="general_purpose_notices/title">
     </xsl:template>
	<xsl:template match="general_purpose_notices">
		<xsl:variable name="gp-title">
			<xsl:choose>
				<xsl:when test=" name( descendant::title) ">
					<xsl:value-of select="title"/>
				</xsl:when>
				<xsl:otherwise/>
			</xsl:choose>
		</xsl:variable>
		<fo:block xsl:use-attribute-sets="notice-attrs">
			<fo:inline font-weight="bold" text-decoration="underline" text-transform="uppercase">
				<xsl:value-of select="$gp-title"/>
			</fo:inline>
			<xsl:text>&#x2002;&#x2013;&#x2002;</xsl:text>
			<xsl:apply-templates/>
		</fo:block>
	</xsl:template>
	<xsl:template match="reprod/para">
		<xsl:apply-templates/>
	</xsl:template>
</xsl:stylesheet>
