<?xml version="1.0" encoding="utf-8"?>

<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="lubetypeswp">
	<xsl:choose>
		<xsl:when test="./@deletewp='yes'">
				<xsl:call-template name="delete-pageset"/>
			</xsl:when>
		<xsl:otherwise>
			<xsl:call-template name="wp-pageset"/>
		</xsl:otherwise>
	</xsl:choose>
	</xsl:template>

	<!--
ELEMENT lubetab
-->
	<xsl:template match="lubetab">
		<fo:block span="all">
		</fo:block>	
		<xsl:apply-templates select="taskhours"/>
		<xsl:apply-templates select="lubeinfo"/>
	</xsl:template>
	<!--
PROCEDURE 
-->
	<xsl:template name="LUBETAB-HEADER">
		<fo:table-header font-weight="bold">
			<fo:table-row border-after-style="solid" border-after-width="1pt">
				<fo:table-cell border-left-style="solid" border-left-width="0.5pt" border-right-style="solid" border-right-width="0.5pt" number-columns-spanned="2" display-align="after" number-rows-spanned="0" padding-bottom="4pt" padding-top="4pt" starts-row="true" text-align="center">
					<fo:block space-after="4pt" span="all" text-align="center">LUBRICANTS</fo:block>
					<fo:block margin-bottom="3pt">&#x2002;</fo:block>
				</fo:table-cell>
				<fo:table-cell border-left-style="solid" border-left-width="0.5pt" border-right-style="solid" border-right-width="0.5pt" column-number="3" display-align="after" number-rows-spanned="0" padding-bottom="4pt" padding-top="4pt" starts-row="true" text-align="center">
					<fo:block space-after="4pt" span="all" text-align="center">CAPACITY</fo:block>
					<fo:block margin-bottom="3pt" space-after="4pt" text-align="center">&#x2002;</fo:block>
				</fo:table-cell>
				<fo:table-cell border-left-style="solid" border-left-width="0.5pt" border-right-style="solid" border-right-width="0.5pt" column-number="4" display-align="after" number-rows-spanned="0" padding-bottom="4pt" padding-top="4pt" starts-row="true" text-align="center">
					<fo:block margin-bottom="3pt" space-after="4pt" span="all" text-align="center">TEMPERATURE</fo:block>
					<fo:block margin-bottom="3pt" space-after="4pt" text-align="center">RANGE </fo:block>
				</fo:table-cell>
				<fo:table-cell border-left-style="solid" border-left-width="0.5pt" border-right-style="solid" border-right-width="0.5pt" column-number="5" display-align="after" number-rows-spanned="0" padding-bottom="4pt" padding-top="4pt" starts-row="true" text-align="center">
					<fo:block space-after="4pt" span="all" text-align="center">INTERVALS</fo:block>
					<fo:block margin-bottom="3pt">&#x2002;</fo:block>
				</fo:table-cell>
			</fo:table-row>
		</fo:table-header>
	</xsl:template>
	
	<!--
ELEMENT lubeinfo added per field request Dec. 2019
-->	
	<xsl:template match="lubeinfo">
		<fo:table-and-caption>
			<fo:table-caption>
				<fo:block font-family="sans-serif" font-size="10pt" font-weight="bold" keep-with-next.within-page="always" space-after.maximum="10pt" space-after.minimum="10pt" space-after.optimum="10pt" space-before.maximum="12pt" space-before.minimum="8pt" space-before.optimum="10pt" span="all" text-align="center" id="{generate-id(.)}">
					<xsl:text disable-output-escaping="no">Table&#x2002;</xsl:text>
					<xsl:number count="table | taskhours | lubeinfo" format="1." from="lubetypeswp | lubewp" level="any"/>
					<xsl:choose>
						<xsl:when test="string-length(title)=0">
							<xsl:text>&#x2002;Lubricant Table</xsl:text>
						</xsl:when>
						<xsl:otherwise>
							<xsl:text>&#x2002;</xsl:text>
							<xsl:value-of select="child::title"/>
							<xsl:text>.</xsl:text>
						</xsl:otherwise>
					</xsl:choose>
				</fo:block>
			</fo:table-caption>			
			<fo:table border-bottom="solid" border-bottom-width=".5pt" border-left="solid" border-left-width=".5pt" border-right="solid" border-right-width=".5pt" border-top="solid" border-top-width=".5pt" font-family="sans-serif" font-size="10pt" margin-bottom="8pt" margin-left="3pt" margin-right="3pt" margin-top="8pt" padding-bottom="3pt" padding-left="3pt" padding-right="3pt" relative-position="static" space-after="12pt" space-after.conditionality="discard" space-before="12pt" space-before.conditionality="discard" table-layout="fixed" table-omit-header-at-break="false" text-align="left" white-space-treatment="preserve" span="all" keep-together.within-page="always">
				<fo:table-column column-number="1" column-width="25%"> </fo:table-column>
				<fo:table-column column-number="2" column-width="25%"> </fo:table-column>
				<fo:table-column column-number="3" column-width="14%"> </fo:table-column>
				<fo:table-column column-number="4" column-width="18%"> </fo:table-column>
				<fo:table-column column-number="5" column-width="18%"> </fo:table-column>
				<xsl:call-template name="LUBETAB-HEADER"/>
				<fo:table-body>
					<xsl:call-template name="lubeinterval"/>
					<xsl:call-template name="lubeitem"/>
				</fo:table-body>
			</fo:table>
		</fo:table-and-caption>
	</xsl:template>
	
	<xsl:template name="lubeitem">
		<xsl:call-template name="CHANGEBAR"/>
			<xsl:for-each select="lubeitem">
		<xsl:if test="contains('warning|caution|note|csi.alert',local-name(preceding-sibling::node()[1]))">
			<xsl:choose>
				<xsl:when test="preceding-sibling::comment()"/>
				<xsl:when test="position()=1 ">
					<fo:table-row>
						<fo:table-cell border-top="thin solid black" border-bottom="thin solid black" border-left-style="solid" border-left-width="0.5pt" border-right-style="solid" border-right-width=".5pt" padding-before="4pt" padding-after="4pt" number-columns-spanned="4">
							<xsl:apply-templates select="preceding-sibling::warning"/>
							<xsl:apply-templates select="preceding-sibling::caution"/>
							<xsl:apply-templates select="preceding-sibling::note"/>
							<xsl:apply-templates select="preceding-sibling::csi.alert"/>
						</fo:table-cell>
					</fo:table-row>
				</xsl:when>
				<xsl:otherwise>
					<fo:table-row>
				<fo:table-cell border-top="thin solid black" border-bottom="thin solid black" border-left-style="solid" border-left-width="0.5pt" border-right-style="solid" border-right-width=".5pt" padding-before="4pt" padding-after="4pt" number-columns-spanned="4">
					<xsl:apply-templates select="preceding-sibling::lubeitem[1]/following::warning[1]"/>
					<xsl:apply-templates select="preceding-sibling::lubeitem[1]/following::caution[1]"/>
					<xsl:apply-templates select="preceding-sibling::lubeitem[1]/following::note[1]"/>
					<xsl:apply-templates select="preceding-sibling::lubeitem[1]/following::csi.alert[1]"/>
				</fo:table-cell>
			</fo:table-row>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:if>
				<fo:table-row padding-after="4pt" padding-before="4pt">
			<fo:table-cell column-number="1" border-left-style="solid" border-left-width="0.5pt" border-right-style="solid" border-right-width="0.5pt" padding-after="8pt" padding-before="8pt" border-after-style="solid" border-after-width=".5pt">
				<xsl:apply-templates select="lubricant"/>
			</fo:table-cell>
			<fo:table-cell column-number="2" border-left-style="solid" border-left-width="0.5pt" border-right-style="solid" border-right-width="0.5pt" padding-after="8pt" padding-before="8pt" border-after-style="solid" border-after-width="0.5pt">
				<xsl:apply-templates select="lubedesc"/>
			</fo:table-cell>
			<fo:table-cell column-number="3" border-left-style="solid" border-left-width="0.5pt" border-right-style="solid" border-right-width="0.5pt" padding-after="8pt" padding-before="8pt" border-after-style="solid" border-after-width=".5pt">
				<xsl:apply-templates select="capacity"/>
			</fo:table-cell>
			<fo:table-cell column-number="4" border-left-style="solid" border-left-width="0.5pt" border-right-style="solid" border-right-width="0.5pt" padding-after="8pt" padding-before="8pt" border-after-style="solid" border-after-width=".5pt">
				<xsl:apply-templates select="temprange"/>
			</fo:table-cell>
				</fo:table-row>
			</xsl:for-each>
	</xsl:template>
	
<!-- Added <lubeinterval> element/template match per field request Dec. 2019 -->

	<xsl:template name="lubeinterval">
		<fo:table-row padding-before="4pt" padding-after="4pt">
			<fo:table-cell column-number="5" number-rows-spanned="{count(lubeitem)+1}" display-align="center" padding-before="8pt" padding-after="8pt">
				<xsl:for-each select="preceding-sibling::taskhours/interval">
					<xsl:choose>
						<xsl:when test="contains(text(),'D')">
							<fo:block>D-Daily</fo:block>
						</xsl:when>
						<xsl:when test="contains(text(),'W')">
							<fo:block>W-Weekly</fo:block>
						</xsl:when>
						<xsl:when test="contains(text(),'M')">
							<fo:block>M-Monthly</fo:block>
						</xsl:when>
						<xsl:when test="contains(text(),'Q')">
							<fo:block>Q-Quarterly</fo:block>
						</xsl:when>
						<xsl:when test="contains(text(),'S')">
							<fo:block>S-Semiannually</fo:block>
						</xsl:when>
						<xsl:when test="contains(text(),'A')">
							<fo:block>A-Annually</fo:block>
						</xsl:when>
						<xsl:when test="contains(text(),'B')">
							<fo:block>B-Biennially</fo:block>
						</xsl:when>
						<xsl:when test="contains(text(),'H')">
							<fo:block>H-Hours (operated)</fo:block>
						</xsl:when>
						<xsl:when test="contains(text(),'MI')">
							<fo:block>MI-Miles (operated)</fo:block>
						</xsl:when>
						<xsl:when test="contains(text(),'KM')">
							<fo:block>KM-Kilometers (operated)</fo:block>
						</xsl:when>
						<xsl:when test="contains(text(),'RDS')">
							<fo:block>RDS-Rounds (fired)</fo:block>
						</xsl:when>
						<xsl:when test="contains(text(),'OC')">
							<fo:block>OC-On Condition</fo:block>
						</xsl:when>
						<xsl:when test="contains(text(),'MRA')">
							<fo:block>MRA-Maintenance Repair Action</fo:block>
						</xsl:when>
						<xsl:otherwise/>
					</xsl:choose>
				</xsl:for-each>
			</fo:table-cell>
		</fo:table-row>
	</xsl:template>
	
	<!--
ELEMENT lubeitem/temprange
-->
	<xsl:template match="lubeitem/temprange">
	<xsl:call-template name="CHANGEBAR"/>
		<fo:block>
			<xsl:apply-templates select="node()"/>
		</fo:block>
	</xsl:template>
	
	<!--
ELEMENT lubeitem/lubricant
-->
	<xsl:template match="lubeitem/lubricant">
	<xsl:call-template name="CHANGEBAR"/>
		<fo:block>
			<xsl:apply-templates select="node()"/>
		</fo:block>
	</xsl:template>
	<xsl:template match="lubeitem/lubedesc">
	<xsl:call-template name="CHANGEBAR"/>
		<fo:block>
			<xsl:apply-templates select="node()"></xsl:apply-templates>
		</fo:block>
	</xsl:template>
	
	<!--
ELEMENT lubeitem/capacity
-->
	<xsl:template match="lubeitem/capacity">
	<xsl:call-template name="CHANGEBAR"/>
		<fo:block text-align="left" space-after="2mm" space-before="2mm" start-indent="2mm" end-indent="2">
			<xsl:apply-templates select="node()"/>
		</fo:block>
	</xsl:template>
	<!--
ELEMENT taskhours/interval
-->
	<xsl:template match="taskhours/interval">
	<xsl:call-template name="CHANGEBAR"/>
		<xsl:choose>
			<xsl:when test="self::interval">
				<xsl:apply-templates select="node()"/>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<!--
ELEMENT taskhours/manhours
-->
	<xsl:template match="taskhours/manhours">
	<xsl:call-template name="CHANGEBAR"/>
		<xsl:choose>
			<xsl:when test="self::manhours">
				<xsl:apply-templates select="node()"/>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	
<!-- ELEMENT taskhours-header added per field request Dec. 2019 -->
	
	<xsl:template name="TASKHOURS-HEADER">
		<fo:table-header font-weight="bold">
			<fo:table-row border-after-style="solid" border-after-width=".5pt">
				<fo:table-cell number-columns-spanned="2" padding-bottom="4pt" padding-top="4pt">
					<fo:block>TOTAL TASK-HOURS</fo:block>
				</fo:table-cell>
			</fo:table-row>
			<fo:table-row border-after-style="solid" border-after-width=".5pt">
				<fo:table-cell column-number="1" font-family="sans-serif" font-weight="bold" font-size="8pt" padding-bottom="4pt" padding-top="4pt" border-left="solid" border-left-width=".5pt" border-right="solid" border-right-width=".5pt">
					<fo:block>INTERVAL</fo:block>
				</fo:table-cell>
				<fo:table-cell column-number="2" font-family="sans-serif" font-weight="bold" font-size="8pt" padding-bottom="4pt" padding-top="4pt" border-left="solid" border-left-width=".5pt" border-right="solid" border-right-width=".5pt">
					<fo:block>TASK-HOURS</fo:block>
				</fo:table-cell>
			</fo:table-row>
		</fo:table-header>
	</xsl:template>
	
<!-- ELEMENT taskhours added per field request Dec. 2019 -->

	<xsl:template match="taskhours">
		<fo:table-and-caption>
			<fo:table-caption>
				<fo:block font-family="sans-serif" font-size="10pt" font-weight="bold" keep-with-previous.within-column="always" keep-with-previous.within-page="always" space-after.maximum="10pt" space-after.minimum="10pt" space-after.optimum="10pt" space-before.maximum="12pt" space-before.minimum="8pt" space-before.optimum="10pt" span="all" text-align="center" id="{generate-id(.)}">
					<xsl:text disable-output-escaping="no">Table&#x2002;</xsl:text>
					<xsl:number count="table | taskhours | lubeinfo" format="1." from="lubetypeswp | lubewp" level="any"/>
					<xsl:choose>
						<xsl:when test="string-length(title)=0">
							<xsl:text>&#x2002;Task Hours Table.</xsl:text>
						</xsl:when>
						<xsl:otherwise>
							<xsl:text>&#x2002;</xsl:text>
							<xsl:value-of select="child::title"/>
							<xsl:text>.</xsl:text>
						</xsl:otherwise>
					</xsl:choose>
				</fo:block>
			</fo:table-caption>
			<fo:table border-bottom="solid" border-bottom-width=".5pt" border-left="solid" border-left-width=".5pt" border-right="solid" border-right-width=".5pt" border-top="solid" border-top-width=".5pt" table-layout="fixed" text-align="center" width="2.5in" font-size="10pt" margin-bottom="8pt" margin-left="3pt" margin-right="3pt" margin-top="8pt" padding-bottom="3pt" padding-left="3pt" padding-right="3pt" space-after="12pt" space-before="12pt" font-family="san-serif" white-space-treatment="ignore" span="all" keep-together.within-page="always">
			<fo:table-column column-number="1" column-width="50%"> </fo:table-column>
			<fo:table-column column-number="2" column-width="50%"> </fo:table-column>
			<xsl:call-template name="TASKHOURS-HEADER"/>
			<fo:table-body>
				<xsl:for-each select="interval">
					<fo:table-row border-after-style="solid" border-after-width=".5pt">
						<fo:table-cell column-number="1" font-family="sans-serif" font-size="8pt" padding-bottom="4pt" padding-top="4pt" border-left="solid" border-left-width=".5pt" border-right="solid" border-right-width=".5pt">
							<xsl:value-of select="."/>
						</fo:table-cell>
						<fo:table-cell column-number="2" font-family="sans-serif" font-size="8pt" padding-bottom="4pt" padding-top="4pt" border-left="solid" border-left-width=".5pt" border-right="solid" border-right-width=".5pt">
							<xsl:value-of select="following-sibling::manhours[1]"/>
						</fo:table-cell>
					</fo:table-row>
				</xsl:for-each>
			</fo:table-body>
		</fo:table>
		</fo:table-and-caption>
		
	</xsl:template>
</xsl:stylesheet>
